import 'package:example/todo/services/storage.dart';
import 'package:example/todo/state/update.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:mvu/mvu.dart';

import 'state/actions.dart';
import 'state/state.dart';
import 'views/list.dart';

class MvuExample extends StatelessWidget {
  const MvuExample({
    Key key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Mvu<TodoState, TodoListAction>(
      initialize: () => TodoState(
        configuration: TodoConfiguration(
          storage: TodoStorage(fileName: 'todo.json'),
        ),
        list: TodoListState.notLoaded(),
      ),
      update: todoUpdate,
      child: TodoListPage(),
    );
  }
}
