import 'package:flutter/material.dart';

class CreateTodoPage extends StatefulWidget {
  const CreateTodoPage({
    Key key,
  }) : super(key: key);

  static Future<String> show(BuildContext context) =>
      showModalBottomSheet<String>(
        context: context,
        builder: (BuildContext context) => CreateTodoPage(),
      );

  @override
  _CreateTodoPageState createState() => _CreateTodoPageState();
}

class _CreateTodoPageState extends State<CreateTodoPage> {
  TextEditingController controller;

  @override
  void initState() {
    controller = TextEditingController(text: '');
    super.initState();
  }

  @override
  void dispose() {
    controller.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    final mediaQuery = MediaQuery.of(context);
    return Container(
      height: 200 + mediaQuery.viewInsets.vertical,
      child: Padding(
        padding: mediaQuery.viewInsets,
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            mainAxisSize: MainAxisSize.min,
            children: <Widget>[
              const Text('New item'),
              TextField(
                controller: controller,
              ),
              FlatButton(
                child: const Text('Create'),
                onPressed: () => Navigator.pop(context, controller.text),
              )
            ],
          ),
        ),
      ),
    );
  }
}
